cascading.flow.planner.graph

## Class IgnoresAnnotationsElementGraph

- java.lang.Object
- - cascading.flow.planner.graph.DecoratedElementGraph
  - - cascading.flow.planner.graph.IgnoresAnnotationsElementGraph

- All Implemented Interfaces:
    ElementGraph

      public class IgnoresAnnotationsElementGraph
      extends DecoratedElementGraph

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgnoresAnnotationsElementGraph(ElementGraph decorated)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class cascading.flow.planner.graph.DecoratedElementGraph

      `addEdge, addEdge, addHeadVertex, addTailVertex, addVertex, bindExtents, containsEdge, containsEdge, containsVertex, copyElementGraph, edgeSet, edgesOf, getAllEdges, getDecorated, getEdge, getEdgeSource, getEdgeTarget, incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf, predecessorListOf, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, successorListOf, vertexSet, vertexSetCopy, writeDOT`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IgnoresAnnotationsElementGraph

          public IgnoresAnnotationsElementGraph(ElementGraph decorated)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `DecoratedElementGraph`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `DecoratedElementGraph`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.